<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 1/1/16
 * Time: 12:43 PM
 */


namespace qfq;

require_once(__DIR__ . '/AbstractException.php');

/**
 * Class UserException
 *
 * Thrown by Form or FormElement on User errors
 *
 * @package qfq\exceptions
 */
class DbException extends AbstractException {

    /*
    * @return string HTML formatted error string
    */
    public function formatMessage() {

        $this->messageArray['Type'] = 'Db Exception';
        $this->messageArray['Form'] = Store::getVar(SYSTEM_FORM, STORE_SYSTEM);
        $this->messageArray['Form Element'] = Store::getVar(SYSTEM_FORM_ELEMENT, STORE_SYSTEM);
        $this->messageArray['Form Element Column'] = Store::getVar(SYSTEM_FORM_ELEMENT_COLUMN, STORE_SYSTEM);
        $this->messageArray['SQL before evaluation'] = Store::getVar(SYSTEM_SQL_RAW, STORE_SYSTEM);
        $this->messageArray['SQL final'] = Store::getVar(SYSTEM_SQL_FINAL, STORE_SYSTEM);
        $this->messageArray['SQL Params'] = Store::getVar(SYSTEM_SQL_PARAM_ARRAY, STORE_SYSTEM);

        return parent::formatException();

    }
}
